GNU / Linux Ubuntu 20.04.1 - linux-image-5.4.0-56-generic - linux-headers-5.4.0-56-generic ломает драйверы AMDGPU

У меня такая же проблема на двух компьютерах.

Последнее ядро, добавленное в обновлениях - linux-headers-5.4.56-generic нарушает компиляцию драйверов AMDGPU.

amdgpu-dkms каждый раз терпел неудачу. Если я откатываюсь к предыдущему ядру, оно компилируется правильно.

Я что-то упустил? AMDGPU не поддерживает эту версию ядра?

3
задан 11 December 2020 в 04:48

2 ответа

Хорошие новости: даже AMD признала проблему, они даже добавили проблему в свои примечания к выпуску своих последних драйверов GNU / Linux, посоветовали не обновлять до этого ядра, поскольку AMDGPU требуется amdgpu-dkms для правильной работы. Они работают с разработчиками GNU / Linux Ubuntu, чтобы понять, что произошло, и, надеюсь, исправить проблему в ближайшем будущем. Подробнее здесь, в разделе известных проблем: https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-20-45

3
ответ дан 3 January 2021 в 22:47

также были проблемы с этой версией ядра в Ubuntu 20.04. .1 сегодня, в частности, в связи с приостановкой срабатывания крышки ноутбука, только что опубликовано здесь: Ubuntu 20.04 не просыпается должным образом после закрытия крышки с помощью ядра Linux 5.4.0.56 (Сообщить о проблеме)

Надеюсь, что это скоро уладится . На данный момент я бы порекомендовал вам использовать для ядра версию 5.4.0.54, по крайней мере, у меня это сработало. Замечу, моя проблема возникла на ноутбуке со встроенной видеокартой Intel.

0
ответ дан 3 January 2021 в 22:47

Другие вопросы по тегам:

Похожие вопросы: